from viirs import VIIRS


if __name__ == "__main__":
    #Set dates and outdir
    start_date = "202404230730"
    end_date = "202404231830"
    outdir = "/esarchive/scratch/cmeikle/Projects/data/VIIRS"
    # Initiate the object
    c = VIIRS(start_date, end_date, frequency="3H", dest=outdir)
    c.read_nc()
    c.preprocess_vars()

    #Run plots
    c.plot_2D_obs()
    #c.to_da()